#ifndef _TAENZER_H_
#define _TAENZER_H

#include <stdint.h>

typedef volatile struct {
    uint8_t homed;
    uint32_t pos;
    int16_t force_setpoint;
    uint8_t active;
} taenzer_state_t;
extern taenzer_state_t taenzer_state;

void do_taenzer(void);
void timer4_init(void);

#endif
